Subject: Re: [bug#39989] [PATCH] gnu: thunar: Wrap with glib:bin to fix launching programs.

From: Diego Nicola Barbato <[email-masked]>
Date: Mon, 09 Mar 2020 22:43:13 +0100

Hi,

Jan <[email-masked]> writes:

> On Mon, 9 Mar 2020 18:11:08 +0100
> Danny Milosavljevic <[email-masked]> wrote:
>
>> Hi,
>> 
>> I'm all for fixing this problem, but it would be great to add a
>> comment on which executables thunar tries to find in glib:bin.
> Should I close the issue, add a commit and reopen the issue, or is
> there a more clever way of doing so?
>
>> I've checked glib:bin and it has:
>> 
>> gapplication
>> gdbus
>> gdbus-codegen
>> gio
>> gio-querymodules
>> glib-compile-resources
>> glib-compile-schemas
>> glib-genmarshal
>> glib-gettextize
>> glib-mkenums
>> gobject-query
>> gresource
>> gsettings
>> gtester
>> gtester-report
>> 
>> A lot of those make no sense for thunar to use anyway.
>
> AFAIK it only needs gio-launch-desktop, and seems there's no way to
> pick just one binary, is it?
> Would changing this:
> `("PATH" ":" prefix (,(string-append glib-bin
> 			"/bin")))))
> to
> `("PATH" ":" prefix (,(string-append glib-bin
> 			"/bin/gio-launch-desktop")))))
> do the job? 
>
> The macro (or whatever it is) was undocumented in the manual and
> explanation in the source code was low level so it is possible I
> misunderstood how it works.
> I'll try the former.

I would like to point out — in case you don't already know — that the
issue addressed in this patch is not specific to thunar.  It also shows
up in MATE (https://debbugs.gnu.org/38135) and is caused by glib itself
looking for gio-launch-desktop in $PATH.  More importantly, it has
already been fixed on in commit 0bcc1b14fc3e2382406b97577c56e2292b96b8d4
on core-updates (which is why the aforementioned bug has been closed).

Regards,

Diego